# Componere\Patch::derive

(Componere 2 >= 2.1.1)

Componere\Patch::derive — Patch Derivation

### Description

public Componere\Patch::derive ( object `$instance` ) : Patch

Shall derive a Patch for the given `instance`

### Parameters

`instance`

  The target for the derived Patch

### Return Values

Patch for `instance` derived from the current Patch

### Exceptions

Warning

Shall throw InvalidArgumentException if `instance` is not compatible